<!--   Core JS Files   -->
<script src=" {{ url_for('static', filename='js/core/jquery.min.js') }}" type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/popper.min.js') }} " type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/jquery.mask.min.js') }} " type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/core/bootstrap-material-design.min.js') }}"
        type="text/javascript"></script>

<script src="{{ url_for('static', filename='js/plugins/perfect-scrollbar.jquery.min.js') }}"></script>
<!-- Chartist JS -->
<script src="{{ url_for('static', filename='js/plugins/chartist.min.js') }}"></script>
<!--  Notifications Plugin    -->
<script src="{{ url_for('static', filename='js/plugins/bootstrap-notify.js') }}"></script>
<!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
<script src="{{ url_for('static', filename='js/material-dashboard.min.js') }}" type="text/javascript"></script>
<!-- Material Dashboard DEMO methods, don't include it in your project! -->
<script src="{{ url_for('static', filename='js/demo.js') }}"></script>

<script src='https://api.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js'></script>

<script src='https://api.tiles.mapbox.com/mapbox-gl-js/v0.48.0/mapbox-gl.js'></script>

<script src='https://api.mapbox.com/mapbox-gl-js/plugins/mapbox-gl-geocoder/v2.3.0/mapbox-gl-geocoder.min.js'></script>

<script>

    $(document).ready(function () {
        var url = window.location.href;
        if (!(url.indexOf("desaparecidosme-stg") !== -1)) {

            (function (h, o, t, j, a, r) {
                h.hj = h.hj || function () {
                    (h.hj.q = h.hj.q || []).push(arguments)
                };
                h._hjSettings = {hjid: 1011155, hjsv: 6};
                a = o.getElementsByTagName('head')[0];
                r = o.createElement('script');
                r.async = 1;
                r.src = t + h._hjSettings.hjid + j + h._hjSettings.hjsv;
                a.appendChild(r);
            })(window, document, 'https://static.hotjar.com/c/hotjar-', '.js?sv=');

        }
    });

    function setupMapBox(accessToken, center, container_id, geojson, zoom) {

        mapboxgl.accessToken = accessToken;


        var map = new mapboxgl.Map({
            style: 'mapbox://styles/mapbox/streets-v9',
            center: center,
            zoom: zoom,
            interactive: true,
            container: container_id
        });

        map.on("load", () => {

            map.addSource('data', {
                type: 'geojson',
                data: geojson
            });

            map.addLayer({
                id: 'points',
                source: 'data',
                type: 'circle',
                paint: {
                    'circle-radius': 15,
                    'circle-color': '#ff8080',
                    'circle-opacity': 0.5
                }
            })

        });

        var popup = new mapboxgl.Popup({
            closeButton: false,
            closeOnClick: false
        });

        map.on('mousemove', e => {
            var features = map.queryRenderedFeatures(e.point, {
                layers: ['points']
            });

            map.getCanvas().style.cursor = (features.length) ? 'pointer' : '';

            if (!features.length) {
                popup.remove();
                return;
            }

            var feature = features[0];

            popup.setLngLat(feature.geometry.coordinates)
                .setHTML(feature.properties.description)
                .addTo(map);
        });

    }
</script>